summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUli M (ulim) <a.sporto+bee@gmail.com>2008-06-18 21:06:52 +0000
committerUli M (ulim) <a.sporto+bee@gmail.com>2008-06-18 21:06:52 +0000
commitd8cce73ca69a9378d42f0f19e196971c7ffe0952 (patch)
tree1de81b7323517ce9b8a300f85101c4a1d4e68ac0
parentFix gcc-4.3/glibc-2.8 compilation problems (diff)
downloadsunrise-d8cce73ca69a9378d42f0f19e196971c7ffe0952.tar.gz
sunrise-d8cce73ca69a9378d42f0f19e196971c7ffe0952.tar.bz2
sunrise-d8cce73ca69a9378d42f0f19e196971c7ffe0952.zip
net-irc/irssi-otr: net-irc/irssi-otr: New Ebuild and package for bug 228031. Thanks to #gentoo-dev-help,jokey,Tommy[D]
svn path=/sunrise/; revision=6342
-rw-r--r--net-irc/irssi-otr/ChangeLog9
-rw-r--r--net-irc/irssi-otr/Manifest7
-rw-r--r--net-irc/irssi-otr/irssi-otr-0.1.ebuild55
-rw-r--r--net-irc/irssi-otr/metadata.xml5
4 files changed, 76 insertions, 0 deletions
diff --git a/net-irc/irssi-otr/ChangeLog b/net-irc/irssi-otr/ChangeLog
new file mode 100644
index 000000000..83a120c1f
--- /dev/null
+++ b/net-irc/irssi-otr/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for net-irc/irssi-otr
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 18 Jun 2008; Uli M (ulim) <a.sporto+bee@gmail.com> +irssi-otr-0.1.ebuild,
+ +metadata.xml:
+ net-irc/irssi-otr: New Ebuild and package for bug 228031. Thanks to
+ #gentoo-dev-help,jokey,Tommy[D]
+
diff --git a/net-irc/irssi-otr/Manifest b/net-irc/irssi-otr/Manifest
new file mode 100644
index 000000000..1de7cada5
--- /dev/null
+++ b/net-irc/irssi-otr/Manifest
@@ -0,0 +1,7 @@
+DIST irssiotr.git;a=snapshot;h=v0.1;sf=tgz 25397 RMD160 7a2a093954611159a1c6d3396e9c50facde09c5f SHA1 64dfa452a732ff3a280f2a3d75db977851b60716 SHA256 b58626573574482770fcf74bf1d41fe3eab96ff355fea8f6d6ba3099f667b8f3
+DIST mainwindows.h?revision=4806&root=irssi 1806 RMD160 a385acb665087068bcc86a46146f7a4ce1bed997 SHA1 677eeface55370a4cafb8b6e8f4ec6332a12d4db SHA256 221364e5d9f92a1ab71744b64a54217302111c2aa90f343ed886468aea43d227
+DIST statusbar.h?revision=4806&root=irssi 3263 RMD160 3e55eaef8c2d12106d1a6701d4ca52420a474788 SHA1 5db83ef8fe69755ed6de0502504a330d6863b682 SHA256 1b50c2346454c445372857487b98f95d880977388b78d91961bbd18c7d0b2446
+DIST term.h?revision=4806&root=irssi 2406 RMD160 ba8b5b86f36490f777399ca8e413f2dbcc473d09 SHA1 0dfd01be31edfea91da20a5a4d8911728827a3b1 SHA256 9969fecfa520d1cf07da46eb47b7bbee3f1a4abe49896d6c4930748658a57f6c
+EBUILD irssi-otr-0.1.ebuild 1594 RMD160 acf973dba314c807f4a6e4895362ff553fbd8790 SHA1 76ab01a579eb92b7c2f7039c8ee7c872dc732a4d SHA256 25bde76ee1b549702a59073b48ce2202afd7994a273c02326387df3439397c7f
+MISC ChangeLog 316 RMD160 600502dc1d5a71cdb1b83992ea714416f60916b5 SHA1 1df39a40dcd37824b702231afd432696b43297ec SHA256 c462976377a5559e265e735127f6bf2570e90d2dfc1b2f47439fe1df8e18f013
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/net-irc/irssi-otr/irssi-otr-0.1.ebuild b/net-irc/irssi-otr/irssi-otr-0.1.ebuild
new file mode 100644
index 000000000..3d1b46ff6
--- /dev/null
+++ b/net-irc/irssi-otr/irssi-otr-0.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit cmake-utils eutils
+
+DESCRIPTION="Off-The-Record messaging (OTR) for irssi"
+HOMEPAGE="http://projects.tuxfamily.org/group.pl?name=irssiotr"
+
+# This should probably be exported by cmake-utils as a variable
+CMAKE_BINARY_DIR="${WORKDIR}"/${PN}_build
+
+MY_PV=v${PV/_/-}
+S="${WORKDIR}/irssiotr"
+
+MY_IRSSI_URL="http://svn.irssi.org/cgi-bin/viewvc.cgi/irssi/trunk/src/fe-text"
+MY_IRSSI_URLPARMS="revision=4806&root=irssi"
+SRC_URI="
+ ${MY_IRSSI_URL}/mainwindows.h?${MY_IRSSI_URLPARMS}
+ ${MY_IRSSI_URL}/term.h?${MY_IRSSI_URLPARMS}
+ ${MY_IRSSI_URL}/statusbar.h?${MY_IRSSI_URLPARMS}
+ http://git.tuxfamily.org/irssiotr/irssiotr.git?p=gitroot/irssiotr/irssiotr.git;a=snapshot;h=${MY_PV};sf=tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+RDEPEND="
+ >=net-libs/libotr-3.1.0
+ net-irc/irssi"
+
+DEPEND="${RDEPEND}
+ dev-libs/glib
+ >=dev-util/cmake-2.4.7
+ dev-util/pkgconfig
+ dev-lang/python"
+
+src_unpack() {
+ ln -s "${DISTDIR}/irssiotr.git;a=snapshot;h=${MY_PV};sf=tgz" ${P}.tgz
+ unpack ./${P}.tgz
+
+ mkdir -p "${CMAKE_BINARY_DIR}"
+
+ # copy prefetched irssi private headers and patch them
+ # a bug has been filed to make these public, irssi FS#535
+ for privheader in mainwindows.h term.h statusbar.h; do
+ cp "${DISTDIR}/${privheader}?${MY_IRSSI_URLPARMS}" \
+ "${CMAKE_BINARY_DIR}/${privheader}" \
+ || die "failed to copy prefetched irssi private headers"
+ done
+ cd "${CMAKE_BINARY_DIR}"
+ epatch "${S}"/privheaders.patch
+ mycmakeargs="-DIRSSIOTR_VERSION=${PV}"
+}
diff --git a/net-irc/irssi-otr/metadata.xml b/net-irc/irssi-otr/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/net-irc/irssi-otr/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>